import {HighlightComponent} from './highlightComponent';


function getMockContainer(OriginalComponent) {
  return class extends React.Component {
    static displayName = 'View';
    render() {
      return <OriginalComponent {...this.props}><HighlightComponent />{this.props.children}</OriginalComponent>;
    }
  };
}

class ViewMock extends React.Component {
  static displayName = 'View';
  render() {
    return <OriginalView {...this.props}><HighlightComponent />{this.props.children}</OriginalView>;
  }
}

class ImageMock extends React.Component {
  static displayName = 'View';
  render() {
    return <OriginalView style={{position: 'relative'}}><OriginalImage {...this.props} /><HighlightComponent /></OriginalView>;
  }
}

Object.defineProperty(ReactNative, 'View', {
  value: getMockContainer(OriginalView)
});
Object.defineProperty(ReactNative, 'TouchableOpacity', {
  value: getMockContainer(OriginalTouchableOpacity)
});
// Object.defineProperty(ReactNative, 'Image', {
//   value: ImageMock
// });
